Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.factories
Class ProxyConfigFactory

    java.lang.Object
      org.openxri.factories.ProxyConfigFactory

    public class ProxyConfigFactory

extends java.lang.Object

Can construct an appropriate ProxyConfig object based on a map (which at a minimum must contain a class name for the ProxyConfig implementation).

Author:
  =peacekeeper

Field Summary
`static java.lang.String` | `DEFAULT_PROXY_CONFIG_CLASS`
`static java.lang.String` | `PROXY_CONFIG_CLASS`

Method Summary
`static java.lang.ClassLoader` | `getClassLoader()`
`static ProxyConfig` | `getSingleton()` Get the proxy config implementation and hope it's initialized already.
`static ProxyConfig` | `initSingleton(javax.servlet.FilterConfig filterConfig)` Construct the concrete implementation of the ProxyConfig interface, based on a filter config.
`static ProxyConfig` | `initSingleton(javax.servlet.ServletConfig servletConfig)` Construct the concrete implementation of the ProxyConfig interface, based on a servlet config.
`static ProxyConfig` | `initSingleton(javax.servlet.ServletContext servletContext, java.util.Properties properties)` Construct the concrete implementation of the ProxyConfig interface, based on a servlet context and properties.
`static void` | `setClassLoader(java.lang.ClassLoader classLoader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROXY_CONFIG_CLASS

    public static final java.lang.String PROXY_CONFIG_CLASS

See Also:
  Constant Field Values

### DEFAULT_PROXY_CONFIG_CLASS

    public static final java.lang.String DEFAULT_PROXY_CONFIG_CLASS

Method Detail

### initSingleton

    public static ProxyConfig initSingleton(javax.servlet.ServletContext servletContext,
                                            java.util.Properties properties)
                                     throws java.lang.Exception

  Construct the concrete implementation of the ProxyConfig interface, based on a servlet context and properties.

  Throws:
    `java.lang.Exception`

### initSingleton

    public static ProxyConfig initSingleton(javax.servlet.ServletConfig servletConfig)
                                     throws java.lang.Exception

  Construct the concrete implementation of the ProxyConfig interface, based on a servlet config.

  Throws:
    `java.lang.Exception`

### initSingleton

    public static ProxyConfig initSingleton(javax.servlet.FilterConfig filterConfig)
                                     throws java.lang.Exception

  Construct the concrete implementation of the ProxyConfig interface, based on a filter config.

  Throws:
    `java.lang.Exception`

### getSingleton

    public static ProxyConfig getSingleton()

  Get the proxy config implementation and hope it's initialized already.

### getClassLoader

    public static java.lang.ClassLoader getClassLoader()

### setClassLoader

    public static void setClassLoader(java.lang.ClassLoader classLoader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.